Subject: Re: [PATCH] powerpc/bug: Remove specific powerpc BUG_ON()

From: Segher Boessenkool <[email-masked]>
Date: Thu, 11 Feb 2021 05:50:59 -0600

On Thu, Feb 11, 2021 at 08:04:55PM +1000, Nicholas Piggin wrote:
> It would be nice if we could have a __builtin_trap_if that gcc would use 
> conditional traps with, (and which never assumes following code is 
> unreachable even for constant true, so we can use it with WARN and put 
> explicit unreachable for BUG).

It automatically does that with just __builtin_trap, see my other mail :-)

Segher